List Contact Sequences

Returns data about all sequences a contact is part of — including:

  • the last step they completed
  • the step they're currently in
  • and the next step that's coming up

Also, the ID and title of both the Sequence and Step are returned, making it easier to reference them in your system. You can filter the results using sequence_status and contact_status - here's what those mean:

  • contact_status - tells you where the contact is inside a step:

    • "pending" - waiting to enter the step
    • "active" - currently in the step
    • "inactive" - currently inactive in the step. Won't receive the step message
    • "moved" - they've been moved to another step
    • "finished" - they've completed the step
  • sequence_status - shows the state of the whole sequence:

    • "active" - working normally, accessible, contacts can be added and messages can be sent
    • "draft" - accessible but no contacts can be added and no messages can be sent
    • "archived" - old and not in use anymore
  • Possible Body Parameters:

    • limit - the number of sequences to return
      • defaults to 50 when not provided
      • maximum is 500
    • offset - the number of sequences to skip
    • sequence_id - the ID of the Sequence to filter by. Could be used to check if a contact is in a specific sequence.
    • contact_status - status of the Contact in latest sequence step to filter by
      • possible values: pending, active, inactive, moved, finished
    • sequence_status - status of the Sequence to filter by
      • possible values: draft, active
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Contact ID

Body Params

Contact Sequences Params

string
enum

Status of the contact in latest sequence step. Returns data for all contact statuses by default.

The statuses are:

  • "pending" - waiting to enter the step
  • "active" - currently in the step
  • "inactive" - currently inactive in the step. Won't receive the step message
  • "moved" - they've been moved to another step
  • "finished" - they've completed the step
Allowed:
integer
Defaults to 50

Number of results to return

integer
Defaults to 0

Number of results to skip

uuid

Sequence ID

string
enum

Status of the sequence. Returns data for all sequence statuses by default.

The statuses are:

  • "active" - working normally, accessible, contacts can be added and messages can be sent
  • "draft" - accessible but no contacts can be added and no messages can be sent
  • "archived" - old and not in use anymore
Allowed:
Responses

Callback
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json